
Katello - Bug #4751

(nightlies 3-20-14) assigning a registered system to a new lifecycle environment does nothing

03/20/2014 04:16 PM - Erik Jacobs

Status: Closed   

Priority: High   

Assignee: Eric Helms   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

[root@satellite environments]# rpm -qa | grep -E "katello|foreman" | sort

foreman-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-postgresql-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-proxy-1.5.0-0.develop.201403141615git2f75941.el6.noarch

foreman-release-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

katello-1.5.0-14.201403192145gita1d6403.el6.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.git.1.edab2c4.el6.noarch

katello-installer-0.0.19-1.201403121737git943ff82.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.4.0-1.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201403192145gita1d6403.el6.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-3.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.201403192207git7c31c50.git.0.0dcaad2.el6.noarch

rubygem-katello_api-0.0.8-1.201403192204gitdc32c3d.git.0.86c1b9e.el6.noarch

1. Create a new lifecycle environment after Library (Ex: Development)

2. Register a system to Katello into Library

3. Create and publish a content view into Development

4. Click Hosts -> Registered Systems

5. Click on the registered system

6. Click on the Development environment check box

7. In the content view dropdown that appears, select a content view

8. Click Save

You are told " Save Successful. ", however the environment and view are immediately set back to the original values.

From foreman/production.log:

Processing by Katello::SystemsController#all as HTML

Redirected to https://satellite.ejacobs.local/katello/systems#/systems

Completed 302 Found in 10ms (ActiveRecord: 1.9ms)

Processing by Katello::SystemsController#index as HTML

  Rendered home/_user_dropdown.html.erb (1.3ms)

Read fragment views/tabs_and_title_records-1 (0.1ms)

  Rendered home/_topbar.html.erb (2.6ms)

  Rendered layouts/base.html.erb (3.8ms)

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/engines/bastion/app/views/bastio

n/layouts/application.html.haml (5.2ms)

Completed 200 OK in 17ms (Views: 5.9ms | ActiveRecord: 1.9ms)

Processing by Katello::Api::V2::SystemsController#index as JSON
  Parameters: {"organization_id"=>"ACME_Corporation", "page"=>"1", "search"=>"", "sort_by"=>"name"

, "sort_order"=>"ASC", "api_version"=>"v2"}

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/systems

/index.json.rabl within katello/api/v2/layouts/collection (290.5ms)

Completed 200 OK in 333ms (Views: 288.0ms | ActiveRecord: 7.4ms)

Processing by Katello::Api::V2::SystemsController#show as JSON

  Parameters: {"fields"=>"full", "api_version"=>"v2", "id"=>"d8cd92c9-3793-4c98-b23b-de21cdb002a5"

}

Processing by Katello::EnvironmentsController#registerable_paths as JSON

  Parameters: {"organization_id"=>"ACME_Corporation"}

Completed 200 OK in 36ms (Views: 0.6ms | ActiveRecord: 4.6ms)

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/systems

/show.json.rabl within katello/api/v2/layouts/resource (237.2ms)

Completed 200 OK in 261ms (Views: 235.8ms | ActiveRecord: 7.2ms)

Processing by Katello::Api::V2::ContentViewsController#index as JSON

  Parameters: {"environment_id"=>"2", "organization_id"=>"ACME_Corporation", "api_version"=>"v2"}

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/content

_views/index.json.rabl within katello/api/v2/layouts/collection (25.1ms)

Completed 200 OK in 57ms (Views: 22.8ms | ActiveRecord: 6.1ms)

Processing by Katello::Api::V2::SystemsController#update as JSON

  Parameters: {"id"=>"d8cd92c9-3793-4c98-b23b-de21cdb002a5", "uuid"=>"d8cd92c9-3793-4c98-b23b-de21

cdb002a5", "name"=>"client-10.ejacobs.local", "description"=>"Initial Registration Params", "locat

ion"=>"None", "content_view"=>{"id"=>2, "name"=>"Default Organization View", "label"=>"Default_Org

anization_View", "description"=>nil, "organization_id"=>1, "default"=>true, "created_at"=>"2014-03

-20T13:52:37Z", "updated_at"=>"2014-03-20T13:52:37Z", "composite"=>nil, "organization"=>"ACME_Corp

oration", "environments"=>["Library"], "versions"=>[1], "versions_details"=>[{"version"=>1, "publi

shed"=>"2014-03-20 13:52:37 UTC", "environments"=>["Library"]}]}, "content_view_id"=>1, "entitleme

ntStatus"=>"valid", "autoheal"=>true, "href"=>"/consumers/d8cd92c9-3793-4c98-b23b-de21cdb002a5", "

release"=>"6Server", "checkin_time"=>"2014-03-20T10:53:14-04:00", "created"=>"2014-03-20T14:42:17.

890+0000", "installedProducts"=>[{"productId"=>"69", "productName"=>"Red Hat Enterprise Linux Serv

er", "version"=>nil, "arch"=>"x86_64,ia64,x86", "status"=>"green", "startDate"=>"2013-10-08T04:00:

00.000+0000", "endDate"=>"2014-10-08T03:59:59.000+0000"}], "type"=>"Guest", "compliance"=>{"date"=

>"2014-03-20T16:14:31.570+0000", "compliantUntil"=>"2014-10-08T04:00:00.000+0000", "nonCompliantPr

oducts"=>[], "compliantProducts"=>{"69"=>[{"created"=>"2014-03-20T14:42:27.731+0000", "updated"=>"

2014-03-20T14:42:38.585+0000", "id"=>"4028fb8244dfc3480144dff1771300e9", "consumer"=>nil, "pool"=>

{"created"=>"2014-03-20T13:57:40.753+0000", "updated"=>"2014-03-20T14:42:27.732+0000", "id"=>"4028

fb8244dfc3480144dfc877110096", "owner"=>{"id"=>"4028fb8244dfc3480144dfc3decb0001", "key"=>"ACME_Co

rporation", "displayName"=>"ACME_Corporation", "href"=>"/owners/ACME_Corporation"}, "activeSubscri

ption"=>true, "subscriptionId"=>"4028fb8244dfc3480144dfc876130080", "subscriptionSubKey"=>"master"

, "sourceStackId"=>nil, "sourceEntitlement"=>nil, "sourceConsumer"=>nil, "quantity"=>4, "startDate

"=>"2013-10-08T04:00:00.000+0000", "endDate"=>"2014-10-08T03:59:59.000+0000", "productId"=>"RH0000

3", "derivedProductId"=>nil, "providedProducts"=>[{"id"=>"4028fb8244dfc3480144dfc8771300aa", "prod

uctId"=>"226", "productName"=>"Red Hat Enterprise Linux 7 Public Beta"}, {"id"=>"4028fb8244dfc3480

144dfc8771300ab", "productId"=>"91", "productName"=>"Red Hat Enterprise Linux Resilient Storage (f

or RHEL Server) - Extended Update Support"}, {"id"=>"4028fb8244dfc3480144dfc8771300ac", "productId

"=>"201", "productName"=>"Red Hat Software Collections (for RHEL Server)"}, {"id"=>"4028fb8244dfc3

480144dfc8771300ad", "productId"=>"84", "productName"=>"Red Hat Enterprise Linux High Availability

 (for RHEL Server) - Extended Update Support"}, {"id"=>"4028fb8244dfc3480144dfc8771300ae", "produc

tId"=>"182", "productName"=>"Red Hat EUCJP Support (for RHEL Server) - Extended Update Support"}, 

{"id"=>"4028fb8244dfc3480144dfc8771300b0", "productId"=>"180", "productName"=>"Red Hat Beta"}, {"i

d"=>"4028fb8244dfc3480144dfc8771300af", "productId"=>"70", "productName"=>"Red Hat Enterprise Linu

x Server - Extended Update Support"}, {"id"=>"4028fb8244dfc3480144dfc8771300b1", "productId"=>"133

", "productName"=>"Red Hat Enterprise Linux High Performance Networking (for RHEL Server) - Extend

ed Update Support"}, {"id"=>"4028fb8244dfc3480144dfc8771300b2", "productId"=>"93", "productName"=>

"Red Hat Enterprise Linux Scalable File System (for RHEL Server) - Extended Update Support"}, {"id

"=>"4028fb8244dfc3480144dfc8771300b3", "productId"=>"240", "productName"=>"Oracle Java (for RHEL S

erver)"}, {"id"=>"4028fb8244dfc3480144dfc8771300b4", "productId"=>"86", "productName"=>"Red Hat En

terprise Linux Load Balancer (for RHEL Server) - Extended Update Support"}, {"id"=>"4028fb8244dfc3

480144dfc8771300b5", "productId"=>"69", "productName"=>"Red Hat Enterprise Linux Server"}, {"id"=>

"4028fb8244dfc3480144dfc8771300b6", "productId"=>"205", "productName"=>"Red Hat Software Collectio

ns Beta (for RHEL Server)"}, {"id"=>"4028fb8244dfc3480144dfc8771300b7", "productId"=>"127", "produ

ctName"=>"Red Hat S-JIS Support (for RHEL Server) - Extended Update Support"}], "derivedProvidedPr

oducts"=>[], "attributes"=>[], "productAttributes"=>[{"id"=>nil, "name"=>"stacking_id", "value"=>"

[FILTERED]", "productId"=>nil}, {"id"=>nil, "name"=>"instance_multiplier", "value"=>"[FILTERED]", 

"productId"=>nil}, {"id"=>nil, "name"=>"arch", "value"=>"[FILTERED]", "productId"=>nil}, {"id"=>ni

l, "name"=>"variant", "value"=>"[FILTERED]", "productId"=>nil}, {"id"=>nil, "name"=>"subtype", "va

lue"=>"[FILTERED]", "productId"=>nil}, {"id"=>nil, "name"=>"type", "value"=>"[FILTERED]", "product
Id"=>nil}, {"id"=>nil, "name"=>"ph_product_line", "value"=>"[FILTERED]", "productId"=>nil}, {"id"=

>nil, "name"=>"support_level", "value"=>"[FILTERED]", "productId"=>nil}, {"id"=>nil, "name"=>"enab

led_consumer_types", "value"=>"[FILTERED]", "productId"=>nil}, {"id"=>nil, "name"=>"option_code", 

"value"=>"[FILTERED]", "productId"=>nil}, {"id"=>nil, "name"=>"support_type", "value"=>"[FILTERED]

", "productId"=>nil}, {"id"=>nil, "name"=>"cloud_access_enabled", "value"=>"[FILTERED]", "productI

d"=>nil}, {"id"=>nil, "name"=>"product_family", "value"=>"[FILTERED]", "productId"=>nil}, {"id"=>n

il, "name"=>"ph_product_name", "value"=>"[FILTERED]", "productId"=>nil}, {"id"=>nil, "name"=>"sock

ets", "value"=>"[FILTERED]", "productId"=>nil}, {"id"=>nil, "name"=>"name", "value"=>"[FILTERED]",

 "productId"=>nil}, {"id"=>nil, "name"=>"ph_category", "value"=>"[FILTERED]", "productId"=>nil}, {

"id"=>nil, "name"=>"description", "value"=>"[FILTERED]", "productId"=>nil}, {"id"=>nil, "name"=>"m

ulti-entitlement", "value"=>"[FILTERED]", "productId"=>nil}], "derivedProductAttributes"=>[], "res

trictedToUsername"=>nil, "contractNumber"=>"10293569", "accountNumber"=>"5361051", "orderNumber"=>

"40059018", "consumed"=>1, "exported"=>0, "productName"=>"Red Hat Enterprise Linux Server, Premium

 (Physical or Virtual Nodes)", "derivedProductName"=>nil, "calculatedAttributes"=>nil, "type"=>"NO

RMAL", "href"=>"/pools/4028fb8244dfc3480144dfc877110096", "stacked"=>true, "stackId"=>"RH00003"}, 

"certificates"=>[], "quantity"=>1, "startDate"=>"2013-10-08T04:00:00.000+0000", "endDate"=>"2014-1

0-08T03:59:59.000+0000", "href"=>"/entitlements/4028fb8244dfc3480144dff1771300e9"}]}, "partiallyCo

mpliantProducts"=>{}, "partialStacks"=>{}, "reasons"=>[], "status"=>"valid", "compliant"=>true}, "

facts"=>"[FILTERED]", "release_ver"=>"6Server", "host"=>nil, "permissions"=>{"editable"=>true}, "s

ystemGroups"=>[], "customInfo"=>[], "environment"=>{"id"=>2, "name"=>"Development", "select"=>true

, "selected"=>true, "disabled"=>true}, "activation_keys"=>[], "selected"=>false, "api_version"=>"v

2", "system"=>{"id"=>"d8cd92c9-3793-4c98-b23b-de21cdb002a5", "uuid"=>"d8cd92c9-3793-4c98-b23b-de21

cdb002a5", "name"=>"client-10.ejacobs.local", "description"=>"Initial Registration Params", "locat

ion"=>"None", "type"=>"Guest", "content_view_id"=>1, "facts"=>"[FILTERED]"}}

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/common/

update.json.rabl within katello/api/v2/layouts/resource (17.2ms)

Completed 200 OK in 621ms (Views: 16.3ms | ActiveRecord: 1.7ms)

Associated revisions

Revision a28145a9 - 03/20/2014 02:20 PM - Eric Helms

Fixes #4751: Environment and Content View were being omitted from the

allowed parameters for systems and preventing updating.

Revision f883de28 - 03/20/2014 06:20 PM - Eric Helms

Fixes #4751: Environment and Content View were being omitted from the

allowed parameters for systems and preventing updating.

Revision 955d2f94 - 03/24/2014 12:26 PM - Eric Helms

Merge pull request #3855 from ehelms/fixes-4751

Fixes #4751: Environment and Content View were being omitted from the

Revision 651d8487 - 03/24/2014 04:26 PM - Eric Helms

Merge pull request #3855 from ehelms/fixes-4751

Fixes #4751: Environment and Content View were being omitted from the

History

#1 - 03/20/2014 04:30 PM - Mike McCune

- Category set to Web UI

- Status changed from New to Assigned

- Assignee set to Eric Helms

- Priority changed from Normal to High

#2 - 03/21/2014 08:05 PM - Mike McCune

- Triaged set to Yes

#3 - 03/21/2014 08:21 PM - Mike McCune

- Triaged deleted (Yes)

#4 - 03/21/2014 09:05 PM - Mike McCune
- Triaged set to Yes

#5 - 03/24/2014 04:52 PM - Eric Helms

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:f883de28c7b1d16e939ce0b0ae1dabcb1e86bfd4.

#6 - 08/21/2014 02:36 PM - Eric Helms

- translation missing: en.field_release set to 13

Files

Screenshot from 2014-03-20 12_15_05.png 328 KB 03/20/2014 Erik Jacobs
